Subject: [bug#47392] [PATCH 0/2] Add Laminar.

From: Christopher Baines <[email-masked]>
Date: Fri, 09 Apr 2021 12:09:16 +0100

Lars-Dominik Braun <[email-masked]> writes:

> Hi Chris,
>
>> I wonder if it would be possible to, instead, get the non-minified files
>> upstream, and minify them with ‘uglify-js’, as is done in ‘hpcguix-web’.
>> WDYT?
> you could also use the new node-build-system in combination with Jelle’s
> WIP node importer in the branch wip-node-importer. Use something like:
>
> 	guix environment guix --ad-hoc guile-semver
> 	./pre-inst-env guix import npm-binary -r chart.js '^2.7'
>
> I’ve run the imports for Laminar and attached a file with packages.
> Usually there’s a dist/ directory in the output that contains minified
> JavaScript.  Obviously that isn’t a full source build (yet).

Thanks Lars, I did try a while back, but I think there are some hard
parts (babel) to address. I'd also prefer to keep the number of packages
tainted by Javascript blobs to a minimum, so I view what's going on in
the laminar package as a lesser evil.

I do really want to see proper packages for these things at some point
though, and I hope to be able to spend more time working on it at some
point.